echo $1
# python2 send.py --client-port 8000 --closed 1 --offload 0 --req-count 50 --send-data 10 --fid $1
# sudo ip netns exec ns_server python benchmark_dispatcher2.py --fid 369020 --c 1 --t 1 --n 2


#! /bin/bash -ex

rps_flag=0
n_flag=0
while getopts 'rn' flag; do
  case "${flag}" in
    r) rps_flag=1 ;;
    n) n_flag=1 ;;
  esac
done

echo $1, $2, $3
if [[ $rps_flag -eq 1 ]]
then
    sudo ip netns exec ns_server python benchmark_dispatcher.py --fid $2 --c 50 --t 30 --rps $3
fi

if [[ $n_flag -eq 1 ]]
then
    sudo ip netns exec ns_server python benchmark_dispatcher.py --fid $2 --c 50 --t 100 --n $3
fi
